DateType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.marshal

## Class DateType

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<java.util.Date>
  - - org.apache.cassandra.db.marshal.DateType

- All Implemented Interfaces:
    java.util.Comparator<java.nio.ByteBuffer>, AssignmentTestable

  Deprecated.

      @Deprecated
      public class DateType
      extends AbstractType<java.util.Date>

  This is the old version of TimestampType, but has been replaced as it wasn't comparing pre-epoch timestamps correctly. This is kept for backward compatibility but shouldn't be used in new code.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.marshal.AbstractType

      `AbstractType.ComparisonType`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DateType` | `instance` Deprecated.

    - ### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

      `comparisonType, isByteOrderComparable, reverseComparator`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CQL3Type` | `asCQL3Type()` Deprecated.
    `Term` | `fromJSONObject(java.lang.Object parsed)` Deprecated. Given a parsed JSON string, return a byte representation of the object.
    `java.nio.ByteBuffer` | `fromString(java.lang.String source)` Deprecated. get a byte representation of the given string.
    `TypeSerializer<java.util.Date>` | `getSerializer()` Deprecated.
    `boolean` | `isCompatibleWith(AbstractType<?> previous)` Deprecated. Returns true if this comparator is compatible with the provided previous comparator, that is if previous can safely be replaced by this.
    `boolean` | `isEmptyValueMeaningless()` Deprecated. Returns `true` for types where empty should be handled like `null` like `Int32Type`.
    `boolean` | `isValueCompatibleWithInternal(AbstractType<?> otherType)` Deprecated. Needed to handle ReversedType in value-compatibility checks.
    `java.lang.String` | `toJSONString(java.nio.ByteBuffer buffer, ProtocolVersion protocolVersion)` Deprecated. Converts the specified value into its JSON representation.
    `protected int` | `valueLengthIfFixed()` Deprecated. The length of values for this type if all values are of fixed length, -1 otherwise.

    - ### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

      `asCQLTypeStringList, checkComparable, compare, compareCollectionMembers, compareCustom, compareForCQL, componentsCount, compose, decompose, equals, freeze, freezeNestedMulticellTypes, getComponents, getString, getString, isCollection, isCounter, isFreezable, isFrozenCollection, isMultiCell, isReversed, isTuple, isUDT, isValueCompatibleWith, parseDefaultParameters, readValue, readValue, referencesDuration, referencesUserType, skipValue, testAssignment, toString, toString, validate, validateCellValue, validateCollectionMember, writeValue, writtenLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### instance

          public static final DateType instance

      Deprecated.

  - ### Method Detail

    - #### isEmptyValueMeaningless

          public boolean isEmptyValueMeaningless()

      Deprecated.
      Description copied from class: `AbstractType`
      Returns `true` for types where empty should be handled like `null` like `Int32Type`.
      Overrides:
        `isEmptyValueMeaningless` in class `AbstractType<java.util.Date>`

    - #### fromString

          public java.nio.ByteBuffer fromString(java.lang.String source)
                                         throws MarshalException

      Deprecated.
      Description copied from class: `AbstractType`
      get a byte representation of the given string.
      Specified by:
        `fromString` in class `AbstractType<java.util.Date>`
      Throws:
        `MarshalException`

    - #### fromJSONObject

          public Term fromJSONObject(java.lang.Object parsed)
                              throws MarshalException

      Deprecated.
      Description copied from class: `AbstractType`
      Given a parsed JSON string, return a byte representation of the object.
      Specified by:
        `fromJSONObject` in class `AbstractType<java.util.Date>`
      Parameters:
        `parsed` - the result of parsing a json string
      Throws:
        `MarshalException`

    - #### toJSONString

          public java.lang.String toJSONString(java.nio.ByteBuffer buffer,
                                               ProtocolVersion protocolVersion)

      Deprecated.
      Description copied from class: `AbstractType`
      Converts the specified value into its JSON representation.

      The buffer position will stay the same.

      Overrides:
        `toJSONString` in class `AbstractType<java.util.Date>`
      Parameters:
        `buffer` - the value to convert
        `protocolVersion` - the protocol version to use for the conversion
      Returns:
        a JSON string representing the specified value

    - #### isCompatibleWith

          public boolean isCompatibleWith(AbstractType<?> previous)

      Deprecated.
      Description copied from class: `AbstractType`
      Returns true if this comparator is compatible with the provided previous comparator, that is if previous can safely be replaced by this. A comparator cn should be compatible with a previous one cp if forall columns c1 and c2, if cn.validate(c1) and cn.validate(c2) and cn.compare(c1, c2) == v, then cp.validate(c1) and cp.validate(c2) and cp.compare(c1, c2) == v. Note that a type should be compatible with at least itself and when in doubt, keep the default behavior of not being compatible with any other comparator!
      Overrides:
        `isCompatibleWith` in class `AbstractType<java.util.Date>`

    - #### isValueCompatibleWithInternal

          public boolean isValueCompatibleWithInternal(AbstractType<?> otherType)

      Deprecated.
      Description copied from class: `AbstractType`
      Needed to handle ReversedType in value-compatibility checks. Subclasses should implement this instead of isValueCompatibleWith().
      Overrides:
        `isValueCompatibleWithInternal` in class `AbstractType<java.util.Date>`

    - #### asCQL3Type

          public CQL3Type asCQL3Type()

      Deprecated.
      Overrides:
        `asCQL3Type` in class `AbstractType<java.util.Date>`

    - #### getSerializer

          public TypeSerializer<java.util.Date> getSerializer()

      Deprecated.
      Specified by:
        `getSerializer` in class `AbstractType<java.util.Date>`

    - #### valueLengthIfFixed

          protected int valueLengthIfFixed()

      Deprecated.
      Description copied from class: `AbstractType`
      The length of values for this type if all values are of fixed length, -1 otherwise.
      Overrides:
        `valueLengthIfFixed` in class `AbstractType<java.util.Date>`

Copyright © 2018 The Apache Software Foundation